| Home | Libraries | People | FAQ | More

###### array::data (2 of 2 overloads)

Access the underlying array directly.

###### Synopsis

    value const*
    data() const;

###### Description

Returns a pointer to the underlying array serving as element storage. The value returned is such that the range `{data(), data() + size())` is always a valid range, even if the container is empty.

###### Complexity

Constant.

###### Exception Safety

No-throw guarantee.

###### Remarks

If `size() == 0`, the function may or may not return a null pointer.